---
apiVersion: v1
kind: Service
metadata:
  name: websocket-demo
  labels:
    app.kubernetes.io/name: wsdemo
    app.kubernetes.io/instance: websocket-demo.universe.cc
spec:
  selector:
    app.kubernetes.io/name: wsdemo
    app.kubernetes.io/instance: websocket-demo.universe.cc
  ports:
    - port: 80
      targetPort: 8765
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: websocket-demo
  labels:
    app.kubernetes.io/name: wsdemo
    app.kubernetes.io/instance: websocket-demo.universe.cc
spec:
  rules:
  - host: websocket-demo.universe.cc
    http:
      paths:
      - path: /
        backend:
          serviceName: websocket-demo
          servicePort: 80
---
apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: websocket-demo
  labels:
    app.kubernetes.io/name: wsdemo
    app.kubernetes.io/instance: websocket-demo.universe.cc
spec:
  revisionHistoryLimit: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: wsdemo
      app.kubernetes.io/instance: websocket-demo.universe.cc
  template:
    metadata:
      labels:
        app.kubernetes.io/name: wsdemo
        app.kubernetes.io/instance: websocket-demo.universe.cc
    spec:
      containers:
      - image: WS_DEMO_IMAGE
        name: application
